#include<fstream>
#include<algorithm>
using namespace std;
int gcd(int a,int b)
{
	return(b==0)?a:gcd(b,a%b);
}
int main()
{
	ifstream f1("NTCN.INP");
	ofstream f2("NTCN.OUT");
	int n;
	f1>>n;
	int a[n];
	int i;
	for(i=0;i<n;i++)
	{
		f1>>a[i];
	}
	//sort(a,a+n);
	int dem=0;
	for(i=0;i<n-1;i++)
	{
		//if(a[i]==a[i+1]) continue;
		if(a[i]<0) continue;
		else
		{
			for(int j=i+1;j<n;j++)
			{
				if(a[j]<0) continue;
				else if(gcd(a[i],a[j])==1) dem++;
			}
		}
	}
	f2<<dem;
	f1.close();
	f2.close();
	return 0;
}
